From: William Desportes <williamdes@wdes.fr>
Date: Thu, 6 Jul 2023 11:17:57 +0200
Subject: Adapt for phpunit 10

Origin: vendor
Forwarded: no
Bug-Debian: https://bugs.debian.org/1039773
---
 tests/Css/ColorTest.php         |  2 +-
 tests/Css/SelectorTest.php      |  4 ++--
 tests/Css/ShorthandTest.php     | 20 ++++++++++----------
 tests/Css/StyleTest.php         | 20 ++++++++++----------
 tests/DompdfTest.php            |  4 ++--
 tests/HelpersTest.php           |  4 ++--
 tests/LayoutTest/ImageTest.php  |  2 +-
 tests/LayoutTest/PageTest.php   |  2 +-
 tests/Renderer/RendererTest.php |  2 +-
 9 files changed, 30 insertions(+), 30 deletions(-)

diff --git a/tests/Css/ColorTest.php b/tests/Css/ColorTest.php
index 94203a6..eaab845 100644
--- a/tests/Css/ColorTest.php
+++ b/tests/Css/ColorTest.php
@@ -6,7 +6,7 @@ use Dompdf\Tests\TestCase;
 
 class ColorTest extends TestCase
 {
-    public function validColorProvider(): array
+    public static function validColorProvider(): array
     {
         return [
             // Color names
diff --git a/tests/Css/SelectorTest.php b/tests/Css/SelectorTest.php
index e72b729..c825cd5 100644
--- a/tests/Css/SelectorTest.php
+++ b/tests/Css/SelectorTest.php
@@ -37,7 +37,7 @@ class SelectorTest extends TestCase
         return preg_replace($patterns, $replacements, $selector);
     }
 
-    public function selectorMatchesProvider(): array
+    public static function selectorMatchesProvider(): array
     {
         // Elements expected to matched by each selector are marked with the
         // attribute `data-match`. The optional third parameter defines whether
@@ -788,7 +788,7 @@ class SelectorTest extends TestCase
         }
     }
 
-    public function selectorInvalidProvider(): array
+    public static function selectorInvalidProvider(): array
     {
         return [
             // Valid but unsupported selector syntax
diff --git a/tests/Css/ShorthandTest.php b/tests/Css/ShorthandTest.php
index 7c607c6..bf91b95 100644
--- a/tests/Css/ShorthandTest.php
+++ b/tests/Css/ShorthandTest.php
@@ -17,7 +17,7 @@ class ShorthandTest extends TestCase
         return new Style($sheet);
     }
 
-    public function marginPaddingShorthandProvider(): array
+    public static function marginPaddingShorthandProvider(): array
     {
         return [
             ["5pt", "5pt", "5pt", "5pt", "5pt"],
@@ -103,7 +103,7 @@ class ShorthandTest extends TestCase
         $this->assertSame($left, $style->get_specified("border_left_{$type}"));
     }
 
-    public function borderWidthShorthandProvider(): array
+    public static function borderWidthShorthandProvider(): array
     {
         return [
             ["thin", "thin", "thin", "thin", "thin"],
@@ -126,7 +126,7 @@ class ShorthandTest extends TestCase
         $this->borderTypeShorthandTest("width", $value, $top, $right, $bottom, $left);
     }
 
-    public function borderStyleShorthandProvider(): array
+    public static function borderStyleShorthandProvider(): array
     {
         return [
             ["solid", "solid", "solid", "solid", "solid"],
@@ -149,7 +149,7 @@ class ShorthandTest extends TestCase
         $this->borderTypeShorthandTest("style", $value, $top, $right, $bottom, $left);
     }
 
-    public function borderColorShorthandProvider(): array
+    public static function borderColorShorthandProvider(): array
     {
         return [
             ["transparent", "transparent", "transparent", "transparent", "transparent"],
@@ -172,7 +172,7 @@ class ShorthandTest extends TestCase
         $this->borderTypeShorthandTest("color", $value, $top, $right, $bottom, $left);
     }
 
-    public function borderShorthandProvider(): array
+    public static function borderShorthandProvider(): array
     {
         return [
             ["transparent", "medium", "none", "transparent"],
@@ -206,7 +206,7 @@ class ShorthandTest extends TestCase
         }
     }
 
-    public function outlineShorthandProvider(): array
+    public static function outlineShorthandProvider(): array
     {
         return [
             ["transparent", "medium", "none", "transparent"],
@@ -236,7 +236,7 @@ class ShorthandTest extends TestCase
         $this->assertSame($expectedColor, $style->get_specified("outline_color"));
     }
 
-    public function borderRadiusShorthandProvider(): array
+    public static function borderRadiusShorthandProvider(): array
     {
         return [
             ["5pt", "5pt", "5pt", "5pt", "5pt"],
@@ -265,7 +265,7 @@ class ShorthandTest extends TestCase
         $this->assertSame($bl, $style->get_specified("border_bottom_left_radius"));
     }
 
-    public function backgroundShorthandProvider(): array
+    public static function backgroundShorthandProvider(): array
     {
         $basePath = realpath(__DIR__ . "/..");
         $imagePath = "$basePath/_files/jamaica.jpg";
@@ -303,7 +303,7 @@ class ShorthandTest extends TestCase
         $this->assertSame($color, $style->get_specified("background_color"));
     }
 
-    public function fontShorthandProvider(): array
+    public static function fontShorthandProvider(): array
     {
         return [
             ["8.5mm Helvetica", "normal", "normal", "normal", "8.5mm", "normal", "helvetica"],
@@ -338,7 +338,7 @@ class ShorthandTest extends TestCase
         $this->assertSame($fontFamily, $style->get_specified("font_family"));
     }
 
-    public function listStyleShorthandProvider(): array
+    public static function listStyleShorthandProvider(): array
     {
         $basePath = realpath(__DIR__ . "/..");
         $imagePath = "$basePath/_files/jamaica.jpg";
diff --git a/tests/Css/StyleTest.php b/tests/Css/StyleTest.php
index 6d9a138..c89cae9 100644
--- a/tests/Css/StyleTest.php
+++ b/tests/Css/StyleTest.php
@@ -9,7 +9,7 @@ use Dompdf\Tests\TestCase;
 
 class StyleTest extends TestCase
 {
-    public function lengthInPtProvider(): array
+    public static function lengthInPtProvider(): array
     {
         return [
             ["auto", null, "auto"],
@@ -39,7 +39,7 @@ class StyleTest extends TestCase
         $this->assertSame($expected, $result);
     }
 
-    public function cssImageBasicProvider(): array
+    public static function cssImageBasicProvider(): array
     {
         return [
             "no value" => ["", "none"],
@@ -49,7 +49,7 @@ class StyleTest extends TestCase
         ];
     }
 
-    public function cssImageNoBaseHrefProvider(): array
+    public static function cssImageNoBaseHrefProvider(): array
     {
         $basePath = realpath(__DIR__ . "/..");
         return [
@@ -58,7 +58,7 @@ class StyleTest extends TestCase
         ];
     }
 
-    public function cssImageWithBaseHrefProvider(): array
+    public static function cssImageWithBaseHrefProvider(): array
     {
         $basePath = realpath(__DIR__ . "/..");
         return [
@@ -67,7 +67,7 @@ class StyleTest extends TestCase
         ];
     }
 
-    public function cssImageWithStylesheetBaseHrefProvider(): array
+    public static function cssImageWithStylesheetBaseHrefProvider(): array
     {
         return [
             "local absolute" => ["url(/_files/jamaica.jpg)", "https://example.com/_files/jamaica.jpg"],
@@ -128,7 +128,7 @@ class StyleTest extends TestCase
         $this->assertSame($expected, $s->background_image);
     }
 
-    public function contentProvider(): array
+    public static function contentProvider(): array
     {
         return [
             ["normal", "normal"],
@@ -165,7 +165,7 @@ class StyleTest extends TestCase
         $this->assertSame($expected, $style->content);
     }
 
-    public function sizeProvider(): array
+    public static function sizeProvider(): array
     {
         return [
             // Valid values
@@ -204,7 +204,7 @@ class StyleTest extends TestCase
         $this->assertSame($expected, $style->size);
     }
 
-    public function opacityProvider(): array
+    public static function opacityProvider(): array
     {
         return [
             // Valid values
@@ -244,7 +244,7 @@ class StyleTest extends TestCase
         $this->assertSame($expected, $style->opacity);
     }
 
-    public function zIndexProvider(): array
+    public static function zIndexProvider(): array
     {
         return [
             // Valid values
@@ -274,7 +274,7 @@ class StyleTest extends TestCase
         $this->assertSame($expected, $style->z_index);
     }
 
-    public function valueCaseProvider(): array
+    public static function valueCaseProvider(): array
     {
         return [
             ["width", "Auto",           "width", "auto"],
diff --git a/tests/DompdfTest.php b/tests/DompdfTest.php
index 8e58c10..6aa6d83 100644
--- a/tests/DompdfTest.php
+++ b/tests/DompdfTest.php
@@ -77,7 +77,7 @@ class DompdfTest extends TestCase
         $this->assertEquals('', $dompdf->getDom()->textContent);
     }
 
-    public function callbacksProvider(): array
+    public static function callbacksProvider(): array
     {
         return [
             ["begin_page_reflow", 1],
@@ -138,7 +138,7 @@ class DompdfTest extends TestCase
         $this->assertSame(2, $called);
     }
 
-    public function customCanvasProvider(): array
+    public static function customCanvasProvider(): array
     {
         return [
             ["A4", "portrait", true, "auto"],
diff --git a/tests/HelpersTest.php b/tests/HelpersTest.php
index e69f214..6b284be 100644
--- a/tests/HelpersTest.php
+++ b/tests/HelpersTest.php
@@ -21,7 +21,7 @@ AAAFCAYAAACNbyblAAAAHElEQVQI12P4//8/w38GIAXDIBKE0DHxgljNBAAO
         );
     }
 
-    public function dec2RomanProvider(): array
+    public static function dec2RomanProvider(): array
     {
         return [
             [-5, "-5"],
@@ -43,7 +43,7 @@ AAAFCAYAAACNbyblAAAAHElEQVQI12P4//8/w38GIAXDIBKE0DHxgljNBAAO
         $this->assertSame($expected, $roman);
     }
 
-    public function lengthEqualProvider(): array
+    public static function lengthEqualProvider(): array
     {
         // Adapted from
         // https://floating-point-gui.de/errors/NearlyEqualsTest.java
diff --git a/tests/LayoutTest/ImageTest.php b/tests/LayoutTest/ImageTest.php
index 99de948..3c6aeed 100644
--- a/tests/LayoutTest/ImageTest.php
+++ b/tests/LayoutTest/ImageTest.php
@@ -9,7 +9,7 @@ use Dompdf\Tests\TestCase;
 
 class ImageTest extends TestCase
 {
-    public function imageDimensionsProvider(): array
+    public static function imageDimensionsProvider(): array
     {
         $filepath = "../_files/jamaica.jpg";
         $dpiFactor = 72 / 96;
diff --git a/tests/LayoutTest/PageTest.php b/tests/LayoutTest/PageTest.php
index 838db0b..0d85f24 100644
--- a/tests/LayoutTest/PageTest.php
+++ b/tests/LayoutTest/PageTest.php
@@ -10,7 +10,7 @@ use Dompdf\Tests\TestCase;
 
 class PageTest extends TestCase
 {
-    public function pageBreakProvider(): array
+    public static function pageBreakProvider(): array
     {
         return [
             // TODO: Heredocs can be nicely indented starting with PHP 7.3
diff --git a/tests/Renderer/RendererTest.php b/tests/Renderer/RendererTest.php
index 06b1dcd..bc21092 100644
--- a/tests/Renderer/RendererTest.php
+++ b/tests/Renderer/RendererTest.php
@@ -48,7 +48,7 @@ class RendererTest extends TestCase
         $this->assertEquals([$new_img_width, $new_img_height], $result);
     }
 
-    public function providerTestResizeBackgroundImage()
+    public static function providerTestResizeBackgroundImage()
     {
         return [
             "cover scale up" => [100.0, 200.0, 400.0, 300.0, "cover", 400.0, 800.0],
